* {

    margin: 0px;
    padding: 0px;

}

/* balises Body et Html a 100% de taille */
body, html{height:100%;}

/* Body text aligné au centre */
body
{

    text-align:center;
    background-color: rgb(233, 230, 219);

}

/* header css */

header
{
    min-width: 100%;
    max-height: 75px;
    display: flex;
    justify-content: space-between;
    background-color: rgb(28, 116, 248);
    position: fixed;
}

header h3
{
    margin: 10px;
    margin-left: 300px;
    color: white;
}

nav
{
    width: 100%;
}

nav ul
{
    width: 80%;
    height: 100%;
    margin-right: 200px;
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
}

nav ul li
{
    list-style-type: none;
    padding: 25px 50px;
}

nav ul a
{
    outline: none;
    text-decoration: none;
}

nav ul li:hover
{
    background-color: rgba(255, 255, 255, 0.5);
}

nav ul a:link li
{
    color: white;
}

nav ul a:visited li
{
    color: white;
}

/* fin de l'header css */

/*accueil css */

.accueil
{
    padding: 50px;
    min-height: 500px;
    background-image: url("../Images/curology-6CJg-fOTYs4-unsplash.jpg");

}

.accueil h1
{
    font-size: 75px;
    margin: 150px 10px 30px;
}

.accueil blockquote
{

    font-size: 50px;

}

/* fin de l'accueil css */

/* css présentation */

.presmenu
{
    display: flex;
    justify-content: center;
    margin-top: 100px;
}

.textpres
{
    width: 640px;
    height: 431;
    order: -1;
    font-size: 25px;
    margin-right: 30px;
}

.textpres h2
{
    font-size: 50px;
    margin-bottom: 10px;
}

/* fin css présentation */
/* css gammes */

.gamme
{
    margin: 30px;
}

.gamme h2
{
    font-size: 50px;
}

.gamme h3
{
    font-size: 35px;
    margin-top: 10px;
}

.gamme h4
{
    font-size: 30px;
    margin: 10px;
}
/* Grille css gammes */
.imgs
{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: 1fr 5% 1fr 5%;
}

.img1
{
    grid-column: 1;
    grid-row: 1;
    transition: 0.5s;
}

.img1:hover
{
    border-radius: 100%;
}

.img2
{
    grid-column: 2;
    grid-row: 1;
    transition: 0.5s;
}

.img2:hover
{
    border-radius: 100%;
}

.img3
{
    grid-column: 1;
    grid-row: 3;
    transition: 0.5s;
}

.img3:hover
{
    border-radius: 100%;
}

.img4
{
    grid-column: 2;
    grid-row: 3;
    transition: 0.5s;
}

.img4:hover
{
    border-radius: 100%;
}

.titre1
{
    grid-column: 1;
    grid-row: 2;
}

.titre2
{
    grid-column: 2;
    grid-row: 2;   
}

.titre3
{
    grid-column: 1;
    grid-row: 4;  
}

.titre4
{
    grid-column: 2;
    grid-row: 4;
}

/* fin de la grille css gammes */
/* fin de la css gamme */

/* css footer */

footer
{
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    background-color: rgb(145, 215, 255);
    height: 450px;
    width:100%;
    color: white;
}

footer h2
{
    margin-bottom: 50px;
    font-size: 40px;
}

.footer1 p
{
    margin-bottom: 50px;
    max-width: 600px;
}

.button
{
    margin-bottom: 30px;
    background-color:  rgb(145, 215, 255);
    border: 3px solid white;
    border-radius: 7px;
    text-decoration: none;
    padding: 15px 20px;
    color: white;
    font-size: 20px;
}

.button:hover
{
    border-color: rgb(28, 116, 248);
    color: rgb(28, 116, 248);
    cursor: pointer;
}

.socialnet
{
    width: 200px;
    margin-bottom: 10px;
    margin-left: 200px;
    display: flex;
    justify-content: space-around;
    
}

/* Barre bleu foncé du footer */
.mentionfoot
{
    display: flex;
    flex-direction: column;
    height: 60px;
    width: 100%;
    background-color:rgb(28, 116, 248);
}

.mentionfoot a
{
    margin-top: 20px;
    font-size: 20px;
    outline: none;
    
}

.mentionfoot a:link
{
    color: white;
}

.mentionfoot a:visited
{
    color: white;
}

/* page mentions légales */

.mentionsleg
{
    padding: 200px 0px;
}

.mentionsleg h1
{
    padding: 0px 250px 20px;
    text-align: left;
    font-size: 45px;
}

.mentionsleg h3
{
    text-align: left;
    padding: 10px 250px;
    font-size: 35px;
}

.mentionsleg p
{
    padding: 10px 250px 50px;
    font-size: 20px ;
}

/* CSS PageProduit */

.pageproduit
{
    padding: 200px 0px;
    display: grid;
    grid-template-columns: 60% 40%;
    grid-template-rows: 100%;
}

.articleproduit
{
    margin-left: 100px;
    max-width: 800px;
    text-align: left;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.articleproduit img
{
    margin: 20px 0px;
}

.articleproduit h3
{
    margin-bottom: 20px;
    font-size: 25px;
}

.articleproduit h1
{
    margin-bottom: 20px;
    font-size: 50px;
}

.articleproduit p
{
    margin: 20px 0px;
    font-size: 16px;
}

.autreproduit
{

    display: flex;
    flex-direction: column;
}

.autreproduit img
{

    width: 250px;
    height: 210px;
    color: white;
    transition: 0.5s;
}

.autreproduit img:hover
{
    border-radius: 100%;
}